WPSEmbeddedObject Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libwps_internal.h>`

## Public Member Functions
| WPSEmbeddedObject ()
| empty constructor More...
| WPSEmbeddedObject (WPSEmbeddedObject const &)=default
WPSEmbeddedObject & | operator= (WPSEmbeddedObject const &)=default
| WPSEmbeddedObject (WPSEmbeddedObject &&)=default
WPSEmbeddedObject & | operator= (WPSEmbeddedObject &&)=default
| WPSEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| constructor More...
virtual | ~WPSEmbeddedObject ()
| destructor More...
bool | isEmpty () const
| return true if the picture contains no data More...
void | add (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| add a picture More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist More...

## Public Attributes
Vec2f | m_size
| the picture size in inches(if known) More...
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation More...
std::vector< std::string > | m_typeList
| the picture type: one type by representation More...
bool | m_sent
| a mutable flag which can be used to know if the picture was send to a listener More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSEmbeddedObject const &pict)
| operator<< More...

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ WPSEmbeddedObject() [1/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( |  | ) |
| inline

empty constructor

## ◆ WPSEmbeddedObject() [2/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | WPSEmbeddedObject const & |  | ) |
| default

## ◆ WPSEmbeddedObject() [3/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | WPSEmbeddedObject && |  | ) |
| default

## ◆ WPSEmbeddedObject() [4/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = `"image/pict"`
| ) |  |
| inline

constructor

## ◆ ~WPSEmbeddedObject()

virtual WPSEmbeddedObject::~WPSEmbeddedObject | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ add()

void WPSEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = `"image/pict"`
| ) |  |
| inline

add a picture

Referenced by MSWriteParser::processEmbeddedOLE(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readMN0AndCheckWKS(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), and WPSEmbeddedObject().

## ◆ addTo()

bool WPSEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by WPSContentListener::insertObject(), and WKSContentListener::insertObject().

## ◆ isEmpty()

bool WPSEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by operator<<(), WPSOLEParser::parse(), and QuattroGraph::sendGraphic().

## ◆ operator=() [1/2]

WPSEmbeddedObject& WPSEmbeddedObject::operator= | ( | WPSEmbeddedObject const & |  | ) |
| default

## ◆ operator=() [2/2]

WPSEmbeddedObject& WPSEmbeddedObject::operator= | ( | WPSEmbeddedObject && |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSEmbeddedObject const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> WPSEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), addTo(), and isEmpty().

## ◆ m_sent

bool WPSEmbeddedObject::m_sent
| mutable

a mutable flag which can be used to know if the picture was send to a listener

## ◆ m_size

Vec2f WPSEmbeddedObject::m_size

the picture size in inches(if known)

Referenced by operator<<(), WPS8Graph::readBDR(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readOlePres(), and WPS8Graph::readPICT().

## ◆ m_typeList

std::vector<std::string> WPSEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), addTo(), and operator<<().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp